%global srcname Openterface_QT

Name:           openterface-qt
Version:        0.2.0
Release:        %autorelease
Summary:        Openterface Mini-KVM host application

License:        AGPL-3.0-only
URL:            https://github.com/TechxArtisanStudio/Openterface_QT
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source:         openterfaceQT.desktop

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++

BuildRequires:  bzip2-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libusb1-devel
BuildRequires:  libXrandr-devel
BuildRequires:  ffmpeg-free-devel
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtmultimedia-devel
BuildRequires:  qt6-qtserialport-devel
BuildRequires:  qt6-qtsvg-devel

Requires:       hicolor-icon-theme

%description
This is the host application to control an Openterface Mini-KVM.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Remove prebuilt libraries we don't need
rm -r lib

%build
%cmake \
  -DUSE_FFMPEG_STATIC=OFF \
  -DFFMPEG_INCLUDE_DIRS="%{_includedir}/ffmpeg" \
  -DFFMPEG_LIBRARIES="%{_libdir}/libavformat.so;%{_libdir}/libavcodec.so;%{_libdir}/libavutil.so;%{_libdir}/libswresample.so;%{_libdir}/libswscale.so"
%cmake_build

%install
%cmake_install

# Install desktop file and icon
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dpm0644 images/icon_256.png \
  %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/openterfaceQT.png

# Remove spurious files
rm -r %{buildroot}%{_bindir}/qt.conf %{buildroot}%{_prefix}/plugins/

%files
%license LICENSE
%doc README.md
%{_bindir}/openterfaceQT
%{_datadir}/applications/openterfaceQT.desktop
%{_datadir}/icons/hicolor/256x256/apps/openterfaceQT.png

%changelog
%autochangelog
